% APPENDIX SECTION
\documentclass[../t19_ME401_Midterm.tex]{subfiles}
\begin{document}
\pagenumbering{roman}
\appendixpage
\begin{appendices}

    \section{Parts Used in Project}

    \begin{table}[htbp]
        \centering
        \caption[Robot Parts]{Parts used in robot}
        \begin{tabular}{|l|p{40mm}|p{60mm}|}
            \hline
            Quantity & Name & Function\\
            \hline\hline
            1 & ChipKit uC32 & Run all functions for robot actions\\
            \hline
            1 & ChipKit Motor Shield & Provide connection for servos and motors \\
            \hline
            2 & Continuous Rotation Servo & Orient and move robot around on table\\
            \hline
            1 & DC Gear motor with quadrature encoder & Orient IR distance sensor\\
            \hline
            1 & IR Distance Sensor & Find distance to a target\\
            \hline
            1 & IR Distance Sensor & Detect if ball is captured\\ 
            \hline
            2 & Limit Switch & Detect if robot has ran into a wall or other object \\
            \hline
            2 & 18650 Battery & Supply power for robot\\
            \hline 
            1 & RFM69 HCW Radio & Receive position and state value from camera \\
            \hline 
            1 & LED & Visually indicate that ball has been captured \\
            \hline 
            1 & Breadboard & Allow place to connect many parts easily \\
            \hline 
                & Hookup Wire & Connect from breadboard to motor shield \\
                \hline 


        \end{tabular}
        \label{tab:partsUsed}
    \end{table}

    \section{Robot Code}
        \label{ap:code}
    \subsection{Main Functions}
    \label{ap:mainFunc}
    \lstinputlisting{Appendix/mainG19/mainG19.ino}
    \cleardoublepage
    \subsection{PID Controller}
    \label{ap:PID}
    \lstinputlisting{Appendix/mainG19/ME401_PID.h}
    \cleardoublepage
    \subsection{Radio Receiver}
    \label{ap:radio}
    \lstinputlisting{Appendix/mainG19/ME401_Radio.h}
    \cleardoublepage

    
    
\end{appendices}
\end{document}